#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPushButton>
#include <QGridLayout>
#include <QLCDNumber>
#include <QTimer>

#include <rclcpp/rclcpp.hpp>
#include <std_msgs/msg/string.hpp>
#include <std_msgs/msg/header.hpp>


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void topic_callback(const std_msgs::msg::String::SharedPtr);

public slots:

     void onTimer_Tick();
     void onButton_Publish();


private:
    //Ui::MainWindow *ui;
     QTimer *timer_chrono;

    QPushButton *m_bout_publish;
    QGridLayout *m_layout;







};

#endif // MAINWINDOW_H
